//--
//--	sample.cpp
//--
//--	OWL / WinG  Sample Application
//--
//--	SampleApp class module
//--


#include "samppch.h"
#include <owl\applicat.h>
#include <owl\framewin.h>
#include <windowsx.h>
#include "sampdefs.h"
#include "sample.rh"
#include "palette.h"
#include "animwind.h"
#include "dogwind.h"
#include "sample.h"

//-------------
//  OwlMain()
//-------------
int OwlMain(int, char *[])
{
	return SampleApp().Run();
}



//-------------------------------
//  SampleApp::InitMainWindow()
//-------------------------------
void SampleApp::InitMainWindow()
{
	TScreenDC ScreenDC;
	TFrameWindow *Frame;

	// Demo the OWL Doggie window
	TBitmapAnimatorWindow *pAnimWindow = new TDogWindow(0);

	// Set up the app main frame window
	Frame = new TFrameWindow(0,"OWL/WinG Sample App",pAnimWindow);
	Frame->Attr.X = 32;
	Frame->Attr.Y = 32;
	Frame->Attr.W = ScreenDC.GetDeviceCaps(HORZRES) - 64;
	Frame->Attr.H = ScreenDC.GetDeviceCaps(VERTRES) - 64;
	SetMainWindow(Frame);

	// clear usable colors in system palette to black to help insure that
	//  we get an identity palette later
	TBlackIdentityPalette *pPal = new TBlackIdentityPalette();
	ScreenDC.SelectObject(*pPal);
	ScreenDC.RealizePalette();
	ScreenDC.RestorePalette();
	delete pPal;
}


